package TreeEditor;

/**
 * <p>Titre : Tree Editor</p>
 * <p>Description : Baobab core classes.</p>
 * <p>Copyright : Copyright (c) Julien Dutheil</p>
 * <p>Socit : </p>
 * @author Julien Dutheil
 * @version 1.0
 */

import gnu.jtools.utils.gui.GraphicsTools;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.io.*;

class TranslationMapLoadDialog extends JDialog {

    private JLabel path;
    private JButton browse;
    private JSpinner spinner;
    private String[] sepChars = {"\t(TAB)", " (White Space)", "=", ",", ";", ":"};
    private JComboBox separator;
    private JFileChooser fc;
    private JButton ok, cancel;
    private String action;
    public static final String OK = "ok", CANCEL = "cancel";

    public TranslationMapLoadDialog(Frame owner) {
      super(owner, Baobab.message.getString("EditionTools.TranslateNames.Title"), true);
      initGUI();
    }

    private void initGUI() {
      path = new JLabel("/");
      fc = new JFileChooser();
      final TranslationMapLoadDialog thisDialog = this;
      browse = new JButton(Baobab.message.getString("browse"));
      browse.setMnemonic(Baobab.message.getString("browseMnemo").charAt(0));
      browse.addActionListener(new ActionListener() {
       public void actionPerformed(ActionEvent e) {
         fc.showOpenDialog(thisDialog);
         path.setText(fc.getSelectedFile().getAbsolutePath());
       }
      });
      ok = new JButton(Baobab.message.getString("ok"));
      ok.setMnemonic(Baobab.message.getString("okMnemo").charAt(0));
      ok.addActionListener(new ActionListener() {
        public void actionPerformed(ActionEvent e) {
          setVisible(false);
          action = OK;
        }
      });
      cancel = new JButton(Baobab.message.getString("cancel"));
      cancel.setMnemonic(Baobab.message.getString("cancelMnemo").charAt(0));
      cancel.addActionListener(new ActionListener() {
        public void actionPerformed(ActionEvent e) {
          setVisible(false);
          action = CANCEL;
        }
      });
      spinner = new JSpinner();
      ((SpinnerNumberModel)spinner.getModel()).setMinimum(new Integer(0));
      spinner.setValue(new Integer(1));

      separator = new JComboBox(sepChars);
      this.getContentPane().setLayout(new GridLayout(4,2));
      this.getContentPane().add(path);
      this.getContentPane().add(browse);
      this.getContentPane().add(new JLabel(Baobab.message.getString("EditionTools.TranslateNames.Drop")));
      this.getContentPane().add(spinner);
      this.getContentPane().add(new JLabel(Baobab.message.getString("EditionTools.TranslateNames.Separator")));
      this.getContentPane().add(separator);
      this.getContentPane().add(ok);
      this.getContentPane().add(cancel);
      this.pack();
      GraphicsTools.center(this);
    }

    public void setVisible(boolean yn) {
      if(yn) action = CANCEL;
      super.setVisible(yn);
    }

    public File getFile() { return fc.getSelectedFile(); }
    public char getSeparator() { return ((String)separator.getSelectedItem()).charAt(0); }
    public int getNumberOfLinesToDrop() { return ((SpinnerNumberModel)spinner.getModel()).getNumber().intValue(); }
    public String getAction() { return action; }
  }
