package bio.sequences;

/**
 * <p>Title: Bio</p>
 * <p>Description: Tools for bioinformatics</p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author Julien Dutheil
 * @version 1.0
 */

/**
 * @brief Exception thrown when a sequence is not align with others.
 *
 * Typically, this may occur when you try to add a bad sequence to a site container.
 */
public class SequenceNotAlignedException extends SequenceException {

  /**
   * @brief Build a new SequenceNotAlignedException object.
   *
   * @param text A message to be passed to the exception hierarchy.
   * @param seq  A const pointer toward the sequence that threw the exception.
   */
  public SequenceNotAlignedException(String text, Sequence seq) {
    super(text, seq);
  }
}
