package bio.sequences;

/**
 * <p>Title: Bio</p>
 * <p>Description: Tools for bioinformatics</p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author Julien Dutheil
 * @version 1.0
 */

/**
 * @brief The site not found exception base class.
 *
 * @see Exception
 */
public class SiteNotFoundException
    extends Exception {

  /**
   * @brief The id of the site that was to be found.
   */
  protected String id;

  /**
   * @brief Build a new SiteNotFoundException object.
   *
   * @param text A message to be passed to the exception hierarchy.
   * @param id   A the id of the site that was to be found.
   */
  public SiteNotFoundException(String text, String sId) {
    super(text);
    id = new String(sId);
  }

  /**
   * @brief Get the id of the site that was to be found.
   *
   * @return The id of the site that was to be found.
   */
  public String getSiteId() { return id; }
}
