package bio.sequences.io;

/**
 * <p>Title: Bio</p>
 * <p>Description: Tools for bioinformatics</p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author Julien Dutheil
 * @version 1.0
 */

import bio.sequences.*;
import java.io.*;

/**
 * @brief The OSequence interface.
 */
public interface OSequence extends IOSequence {

  /**
   * @brief Write a container to a file.
   *
   * @param file      The file to write.
   * @param sc        The container to write.
   * @param overwrite If true the sequences are written at the beginning of the file instead of being appended.
   *                  Any previous content will be lost.
   * @throw Exception If the file is not in the specified format.
   */
  void write(File file, SequenceContainer sc, boolean overwrite) throws Exception;
}
