// -------------------------------------------------------------------------
//
// Copyright or © or Copr. CNRS, (November 16, 2004)
//
// This software is a library providing tool for bioinformatics.
//
// This software is governed by the CeCILL  license under French law and
// abiding by the rules of distribution of free software.  You can  use,
// modify and/ or redistribute the software under the terms of the CeCILL
// license as circulated by CEA, CNRS and INRIA at the following URL
// "http://www.cecill.info".
//
// As a counterpart to the access to the source code and  rights to copy,
// modify and redistribute granted by the license, users are provided only
// with a limited warranty  and the software's author,  the holder of the
// economic rights,  and the successive licensors  have only  limited
// liability.
//
// In this respect, the user's attention is drawn to the risks associated
// with loading,  using,  modifying and/or developing or reproducing the
// software by the user in light of its specific status of free software,
// that may mean  that it is complicated to manipulate,  and  that  also
// therefore means  that it is reserved for developers  and  experienced
// professionals having in-depth computer knowledge. Users are therefore
// encouraged to load and test the software's suitability as regards their
// requirements in conditions enabling the security of their systems and/or
// data to be ensured and,  more generally, to use and operate it in the
// same conditions as regards security.
//
// The fact that you are presently reading this means that you have had
// knowledge of the CeCILL license and that you accept its terms.
//
// -------------------------------------------------------------------------

/**
 * Titre : Taxonomy<p>
 * Description : <p>
 * Copyright : Copyright (c) Julien Dutheil<p>
 * @author Julien Dutheil
 * @version 1.0
 */
package bio.taxonomy;

import java.util.*;

public class Path extends ArrayList {

  public Path() {
    super();
  }
  public Path(int initialCapacity) {
    super(initialCapacity);
  }
  public Path(List path) {
    for(int i = 0; i < path.size(); i++) this.add(path.get(i));
  }

  //Redefinition:
  public String toString() {
    String result = get(0).toString();
    for(int i = 1; i < size(); i++) {
      result += ";" + get(i).toString();
    }
    return result;
  }

  //Specific methods:
  public void addFather(Object o) { add(0, o); }

  public Object getOldest() { return get(0); }

  public Object getYoungest() { return get(size() - 1); }

  public Path getSubPath(int index) {
    Path p = new Path();
    for(int i = 0; i<index; i++) p.add(get(i));
    return p;
  }

  public Path getAncestor(int level) {
    Path p = new Path();
    for(int i = 0; i<size() - level; i++) p.add(get(i));
    return p;
  }

  public boolean isASonOf(Path father) {
    if(father.size()>this.size()) return false;
    boolean test = false;
    for(int i = 0; i<father.size(); i++) test = test && father.get(i).equals(this.get(i));
    return test;
  }

  public Path getLastCommonAncestor(Path relative) {
    Path LCA = new Path();
    for(int i = 0; i< Math.min(this.size(), relative.size()); i++) {
      if(this.get(i).equals(relative.get(i))) LCA.add(this.get(i));
    }
    return LCA;
  }
}
