// -------------------------------------------------------------------------
//
// Copyright or © or Copr. CNRS, (November 16, 2004)
//
// This software is a library providing tool for bioinformatics.
//
// This software is governed by the CeCILL  license under French law and
// abiding by the rules of distribution of free software.  You can  use,
// modify and/ or redistribute the software under the terms of the CeCILL
// license as circulated by CEA, CNRS and INRIA at the following URL
// "http://www.cecill.info".
//
// As a counterpart to the access to the source code and  rights to copy,
// modify and redistribute granted by the license, users are provided only
// with a limited warranty  and the software's author,  the holder of the
// economic rights,  and the successive licensors  have only  limited
// liability.
//
// In this respect, the user's attention is drawn to the risks associated
// with loading,  using,  modifying and/or developing or reproducing the
// software by the user in light of its specific status of free software,
// that may mean  that it is complicated to manipulate,  and  that  also
// therefore means  that it is reserved for developers  and  experienced
// professionals having in-depth computer knowledge. Users are therefore
// encouraged to load and test the software's suitability as regards their
// requirements in conditions enabling the security of their systems and/or
// data to be ensured and,  more generally, to use and operate it in the
// same conditions as regards security.
//
// The fact that you are presently reading this means that you have had
// knowledge of the CeCILL license and that you accept its terms.
//
// -------------------------------------------------------------------------

/**
 * Titre : Dendogram<p>
 * Description : Set of Tools for dealing with phylogenetic trees (dendograms).<p>
 * Copyright : 2002<p>
 * @author Julien Dutheil
 * @version 1.0
 */
package bio.taxonomy;

import java.util.*;

public class TaxonomicGroup extends ArrayList {

  public TaxonomicGroup() {
    }
  public TaxonomicGroup(int initialCapacity) {
    super(initialCapacity);
    }
  public TaxonomicGroup(Collection c) {
    super(c);
    }

  //Redefinition:

  public boolean add(Object species) {
    //One can only add String to the list
    System.out.println(species.getClass());
    if(species.getClass() != String.class) return false;
    else { super.add(species); return true; }
    }

  public boolean contains(Object o) {
    boolean result = false;
    for(int i = 0; i<size(); i++) {
      result = result || (((String)get(i)).indexOf((String)o) > -1);
      if(result) break;
      }
    return result;
    }

  public boolean containsAll(Collection c) {
    boolean result = true;
    Object[] a = c.toArray();
    for(int i = 0; i<a.length; i++) {
      result = result && contains(a[i]);
      }
    return result;
    }
  }
