package gnu.jtools.stats;

/**
 * <p>Title: Stats</p>
 * <p>Description: Statistics tools</p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author Julien Dutheil
 * @version 1.0
 */

public class RandomTools {

  /**
   * Flip a coin, i.e. randomly give true or false.
   *
   * @return true or false with probabilty 0.5 for each alternative.
   */
  public static boolean flipCoin() { return (Math.random() < 0.5); }

  /****************************************************************************/

  /**
   * Give a random integer belonging to the interval [min, max[.
   *
   * @param min The lower bound of the interval.
   * @param max The upper bound of the interval.
   * @return A random integer between min (included) and max (excluded).
   */
  public static int randomInt(int min, int max) {
    return min + (int)Math.floor((max - min) * Math.random());
  }

  /**
   * Give a random integer belonging to the interval [0, n[.
   *
   * Alias for randomInt(0, n).
   *
   * @param n The maximum integer allowed.
   * @return A random integer between 0 (included) and n (excluded).
   */
  public static int randomInt(int n) {
    return randomInt(0, n);
  }

  /****************************************************************************/
}