package gnu.jtools.stats.table;

/**
 * <p>Title: Stats</p>
 * <p>Description: Statistics tools</p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author Julien Dutheil
 * @version 1.0
 */

public class InvalidTableColumnSizeException extends TableException {

  public InvalidTableColumnSizeException(Table t, int badSize) {
    super(t);
    this.columnSize = badSize;
  }

  public InvalidTableColumnSizeException(String p0, Table t, int badSize) {
    super(p0, t);
    this.columnSize = badSize;
  }

  public InvalidTableColumnSizeException(String p0, Throwable p1, Table t, int badSize) {
    super(p0, p1, t);
    this.columnSize = badSize;
  }

  public InvalidTableColumnSizeException(Throwable p0, Table t, int badSize) {
    super(p0, t);
    this.columnSize = badSize;
  }

/**
 * Get the size of the column that did not match the table size.
 *
 * @return The size of the invalid column.
 */
public int getColumnSize() { return columnSize; }

protected int columnSize;

}