package gnu.jtools.stats.table;

/**
 * <p>Title: Stats</p>
 * <p>Description: Statistics tools</p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author Julien Dutheil
 * @version 1.0
 */

public class TableRowNotFoundException extends TableException {

  public TableRowNotFoundException(Table t, String name) {
    super(t);
    this.rowName = name;
  }

  public TableRowNotFoundException(String p0, Table t, String name) {
    super(p0, t);
    this.rowName = name;
  }

  public TableRowNotFoundException(String p0, Throwable p1, Table t, String name) {
    super(p0, p1, t);
    this.rowName = name;
  }

  public TableRowNotFoundException(Throwable p0, Table t, String name) {
    super(p0, t);
    this.rowName = name;
  }

  /**
   * Get the name of the row that could not be found.
   *
   * @return The name of the row not found.
   */
  public String getRowName() { return rowName; }

  protected String rowName;
}