/*
 * CommandLine package. You should have received this file along with another program.
 * See the program files for description and full license terms.
 * Copyright (C) 2003  Julien Dutheil
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

/**
 * Titre : commandLine<p>
 * Description : Reading command lines.<p>
 * @author Julien Dutheil
 * @version 1.0
 */

package gnu.jtools.utils.commandline;

import java.util.*;

public class ListOfVariables {

  public ListOfVariables() {
    names    = new ArrayList(10);
    seqFiles = new ArrayList(10);
  }

  public void addVariable(String name, Object variable) {
    int n=whereIsThisVariable(name);
    if(n == -1) {
      names.add(name);
      seqFiles.add(variable);
    }
    else seqFiles.set(n, variable);
  }

  public void deleteVariable(String name) {
    int n=whereIsThisVariable(name);
    if(n==-1) System.out.println("Variable does not exists.");
    else {
      names   .remove(n);
      seqFiles.remove(n);
    }
  }

  public void deleteAll() {
    names   .clear();
    seqFiles.clear();
  }

  public Object variable(String name) {
    return seqFiles.get(whereIsThisVariable(name));
  }

  private int whereIsThisVariable(String name) {
    return names.indexOf(name);
  }

  private ArrayList names, seqFiles;
}