/*
 * Format package. You should have received this file along with another program.
 * See the program files for description and full license terms.
 * Copyright (C) 2003  Julien Dutheil
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package gnu.jtools.utils.file.format;

import gnu.jtools.utils.gui.DirectoryChooser;
import javax.swing.*;
import java.io.*;

/**
 * <p>Titre : Sequences Operating System</p>
 * <p>Description : an Operating System dedicated to sequence files analysis.</p>
 * <p>Copyright : Copyright (c) Julien Dutheil</p>
 * @author Julien Dutheil
 * @version 1.0
 */

public class FormatAndDirectoryChooser extends DirectoryChooser {

  public FormatAndDirectoryChooser(File initialPath) {
    super(initialPath);
    fileFormat = new JComboBox();
    super.setAccessory(fileFormat);
  }

  public void setFormatsAvailable(String[] formats) {
    fileFormat.removeAllItems();
    for(int i = 0; i < formats.length; i++) {
      fileFormat.addItem(formats[i]);
    }
  }

  public String getSelectedFormat() {
    return (String)fileFormat.getSelectedItem();
  }

  public int getSelectedFormatIndex() {
    return fileFormat.getSelectedIndex();
  }

  private JComboBox fileFormat;

}