
package gnu.jtools.utils.geometry;

public class Line {

  public Line(Point p1, Point p2) {
    this.p1=p1;
    this.p2=p2;
    double dx=p2.getX()-p1.getX();
    double dy=p2.getY()-p1.getY();
    this.length=Math.sqrt(dx*dx+dy*dy);
    this. theta=new Angle(Math.atan(dy/dx));
    }

  public Line(Point p, double dx, double dy) {
    this.p1=p;
    this.p2=new Point(p.getX()+dx, p.getY()+dy);
    this.length=Math.sqrt(dx*dx+dy*dy);
    this. theta=new Angle(Math.atan(dy/dx));
    }

  public Line(Point p, double length, Angle theta) {
    this.p1=p;
    this.p2=new Point(p.getX()+length*Math.cos(theta.getValue()),
                      p.getY()+length*Math.sin(theta.getValue()));
    this.length=length;
    this. theta=theta;
    }

  public String toString() { return new String("("+p1+"; "+p2+")"); }

  public Point getP1() { return p1; }
  public Point getP2() { return p2; }
  public double getLength() { return length; }
  public Angle  getTheta()  { return theta; }


  private Point p1, p2;
  private double length;
  private Angle theta;
  }
