
package gnu.jtools.utils.geometry;

public class Point {

  public Point(double x, double y) {
    this.x=x;
    this.y=y;
    this.theta=new Angle(Math.atan(y/x));
    this.rho=Math.sqrt(x*x+y*y);
    }

  public Point(double rho, Angle theta) {
    this.rho=rho;
    this.theta=theta;
    this.x=rho*Math.cos(theta.getValue());
    this.y=rho*Math.sin(theta.getValue());
    }

  public String toString() { return new String("(x="+x+"; y="+y+")"); }

  public double getX() { return x; }
  public double getY() { return y; }
  public double getRho() { return rho; }
  public Angle  getTheta() { return theta; }

  private double x, y, rho;
  private Angle theta;
  }
