// [English version follows the french one]
//
// Copyright ou  ou Copr. Julien Dutheil, UMR 5171 "Gnome, populations,
// interactions, adaptation" CNRS, Universit Montpellier II, IFREMER
// (Septembre 2004)
//
// Julien.Dutheil@univ-montp2.fr
//
// Ce logiciel est un programme informatique servant  diter des arbres
// phylogntiques.
//
// Ce logiciel est rgi par la licence CeCILL soumise au droit franais et
// respectant les principes de diffusion des logiciels libres. Vous pouvez
// utiliser, modifier et/ou redistribuer ce programme sous les conditions
// de la licence CeCILL telle que diffuse par le CEA, le CNRS et l'INRIA
// sur le site "http://www.cecill.info".
//
// En contrepartie de l'accessibilit au code source et des droits de copie,
// de modification et de redistribution accords par cette licence, il n'est
// offert aux utilisateurs qu'une garantie limite.  Pour les mmes raisons,
// seule une responsabilit restreinte pse sur l'auteur du programme,  le
// titulaire des droits patrimoniaux et les concdants successifs.
//
// A cet gard  l'attention de l'utilisateur est attire sur les risques
// associs au chargement,   l'utilisation,   la modification et/ou au
// dveloppement et  la reproduction du logiciel par l'utilisateur tant
// donn sa spcificit de logiciel libre, qui peut le rendre complexe 
// manipuler et qui le rserve donc  des dveloppeurs et des professionnels
// avertis possdant  des  connaissances  informatiques approfondies.  Les
// utilisateurs sont donc invits  charger  et  tester  l'adquation  du
// logiciel  leurs besoins dans des conditions permettant d'assurer la
// scurit de leurs systmes et ou de leurs donnes et, plus gnralement,
//  l'utiliser et l'exploiter dans les mmes conditions de scurit.
//
// Le fait que vous puissiez accder  cet en-tte signifie que vous avez
// pris connaissance de la licence CeCILL, et que vous en avez accept les
// termes.
//
// -------------------------------------------------------------------------
//
//Copyright or  or Copr. Julien Dutheil, UMR 5171 "Gnome, populations,
// interactions, adaptation" CNRS, Universit Montpellier II, IFREMER
// (Septembre 2004)
//
// Julien.Dutheil@univ-montp2.fr
//
//
// This software is a computer program whose purpose is to edit
// phylogenetic trees.
//
// This software is governed by the CeCILL  license under French law and
// abiding by the rules of distribution of free software.  You can  use,
// modify and/ or redistribute the software under the terms of the CeCILL
// license as circulated by CEA, CNRS and INRIA at the following URL
// "http://www.cecill.info".
//
// As a counterpart to the access to the source code and  rights to copy,
// modify and redistribute granted by the license, users are provided only
// with a limited warranty  and the software's author,  the holder of the
// economic rights,  and the successive licensors  have only  limited
// liability.
//
// In this respect, the user's attention is drawn to the risks associated
// with loading,  using,  modifying and/or developing or reproducing the
// software by the user in light of its specific status of free software,
// that may mean  that it is complicated to manipulate,  and  that  also
// therefore means  that it is reserved for developers  and  experienced
// professionals having in-depth computer knowledge. Users are therefore
// encouraged to load and test the software's suitability as regards their
// requirements in conditions enabling the security of their systems and/or
// data to be ensured and,  more generally, to use and operate it in the
// same conditions as regards security.
//
// The fact that you are presently reading this means that you have had
// knowledge of the CeCILL license and that you accept its terms.
//
// -------------------------------------------------------------------------


/**
 * <p>Description : Baobab core classes.</p>
 * <p>Copyright : Copyright (c) Julien Dutheil</p>
 * @author Julien Dutheil
 */

package TreeEditor;

import java.util.*;
import java.io.*;

public class StockTree implements Serializable {

  public StockTree() {
    names = new ArrayList(10);
    trees = new ArrayList(10);
    formats = new ArrayList(10);
  }

  public void addTreeToList(ColoredTree tree, String savename, String preferredFormat) {
    trees.add(tree);
    names.add(savename);
    formats.add(preferredFormat);
  }

  public ColoredTree treeAt(int index) {
    return (ColoredTree)(trees.get(index));
  }

  public ColoredTree removeTreeFromList(int index) {
    ColoredTree result = (ColoredTree)(trees.get(index));
    trees.remove(index);
    names.remove(index);
    return result;
  }

  public String[] getSavedNames() {
    String[] result=new String[names.size()];
    for(int i = 0; i < names.size(); i++) {
      result[i] = (String)(names.get(i));
    }
    return result;
  }

  public String getNameAt(int index) {
    return (String)(names.get(index));
  }

  public void setNameAt(int index, String name) {
    names.set(index, name);
  }

  public String getLastName() {
    return getNameAt(names.size() - 1);
  }

  public String getFormatAt(int index) {
    return (String)formats.get(index);
  }

  public void setFormatAt(int index, String format) {
    formats.set(index, format);
  }

  public int size() {
    return names.size();
  }

  public int whichTreeIsIt(ColoredTree tree) {
    int result = -1;
    for(int i = 0; i < size(); i++) {
      if(treeAt(i).equals(tree)) result = i;
    }
    return result;
  }

  public int whoseNameIsIt(String name) {
    int result = -1;
    for(int i = 0; i < size(); i++) {
      if(getNameAt(i).equals(name)) result = i;
    }
    return result;
  }

  public Object clone() {//gnre un clone: nouvel objet identique  celui-ci.
    StockTree clone = new StockTree();
    for(int i=0; i<size(); i++) {
      clone.addTreeToList(treeAt(i), getNameAt(i), getFormatAt(i));
    }
    return (Object)(clone);
  }

  private ArrayList names, trees, formats;
}
