// -------------------------------------------------------------------------
//
// Copyright or © or Copr. CNRS, (November 16, 2004)
//
// This software is a library providing tool for bioinformatics.
//
// This software is governed by the CeCILL  license under French law and
// abiding by the rules of distribution of free software.  You can  use,
// modify and/ or redistribute the software under the terms of the CeCILL
// license as circulated by CEA, CNRS and INRIA at the following URL
// "http://www.cecill.info".
//
// As a counterpart to the access to the source code and  rights to copy,
// modify and redistribute granted by the license, users are provided only
// with a limited warranty  and the software's author,  the holder of the
// economic rights,  and the successive licensors  have only  limited
// liability.
//
// In this respect, the user's attention is drawn to the risks associated
// with loading,  using,  modifying and/or developing or reproducing the
// software by the user in light of its specific status of free software,
// that may mean  that it is complicated to manipulate,  and  that  also
// therefore means  that it is reserved for developers  and  experienced
// professionals having in-depth computer knowledge. Users are therefore
// encouraged to load and test the software's suitability as regards their
// requirements in conditions enabling the security of their systems and/or
// data to be ensured and,  more generally, to use and operate it in the
// same conditions as regards security.
//
// The fact that you are presently reading this means that you have had
// knowledge of the CeCILL license and that you accept its terms.
//
// -------------------------------------------------------------------------

package bio.sequences;

/**
 * <p>Title: Bio</p>
 * <p>Description: Tools for bioinformatics</p>
 * <p>Copyright: Copyright (c) 2003</p>
 * @author Julien Dutheil
 * @version 1.0
 */

public class RNA
    extends NucleicAlphabet {

  public RNA() {
    // Alphabet size definition
    alphabet = new sletter[20];
    for(int i = 0; i < alphabet.length; i++) alphabet[i] = new sletter();

    // Alphabet content definition
    alphabet[0].num = -1;
    alphabet[0].letter = "-";
    alphabet[0].name = "gap";
    alphabet[1].num = 0;
    alphabet[1].letter = "A";
    alphabet[1].name = "Adenine";
    alphabet[2].num = 1;
    alphabet[2].letter = "C";
    alphabet[2].name = "Cytosine";
    alphabet[3].num = 2;
    alphabet[3].letter = "G";
    alphabet[3].name = "Guanine";
    alphabet[4].num = 3;
    alphabet[4].letter = "U";
    alphabet[4].name = "Uracile";
    alphabet[5].num = 4;
    alphabet[5].letter = "M";
    alphabet[5].name = "Adenine or Cytosine";
    alphabet[6].num = 5;
    alphabet[6].letter = "R";
    alphabet[6].name = "Purine (Adenine or Guanine)";
    alphabet[7].num = 6;
    alphabet[7].letter = "W";
    alphabet[7].name = "Adenine or Uracile";
    alphabet[8].num = 7;
    alphabet[8].letter = "S";
    alphabet[8].name = "Cytosine or Guanine";
    alphabet[9].num = 8;
    alphabet[9].letter = "Y";
    alphabet[9].name = "Pyrimidine (Cytosine or Uracile)";
    alphabet[10].num = 9;
    alphabet[10].letter = "K";
    alphabet[10].name = "Guanine or Uracile";
    alphabet[11].num = 10;
    alphabet[11].letter = "V";
    alphabet[11].name = "Adenine or Cytosine or Guanine";
    alphabet[12].num = 11;
    alphabet[12].letter = "H";
    alphabet[12].name = "Adenine or Cytosine or Uracile";
    alphabet[13].num = 12;
    alphabet[13].letter = "D";
    alphabet[13].name = "Adenine or Guanine or Uracile";
    alphabet[14].num = 13;
    alphabet[14].letter = "B";
    alphabet[14].name = "Cytosine or Guanine or Uracile";
    alphabet[15].num = 14;
    alphabet[15].letter = "N";
    alphabet[15].name = "Unresolved base";
    alphabet[16].num = 14;
    alphabet[16].letter = "X";
    alphabet[16].name = "Unresolved base";
    alphabet[17].num = 14;
    alphabet[17].letter = "O";
    alphabet[17].name = "Unresolved base";
    alphabet[18].num = 14;
    alphabet[18].letter = "0";
    alphabet[18].name = "Unresolved base";
    alphabet[19].num = 14;
    alphabet[19].letter = "?";
    alphabet[19].name = "Unresolved base";
  }

  public String getAlphabetType() {
    return "DNA alphabet";
  }
}
